Tab (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.layout.Tab class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.layout
Class Tab

    java.lang.Object
      org.hyperic.ui.tapestry.components.layout.Tab

    public class Tab

extends java.lang.Object

Field Summary
`static java.lang.String` | `LABEL_TEMPLATE`

Constructor Summary
`Tab(java.lang.String id, java.lang.String label, java.lang.String iconClass, org.apache.tapestry.components.Block block, boolean isClosable)`

Method Summary
`org.apache.tapestry.components.Block` | `getBlock()`
`java.lang.String` | `getIconClass()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLabel()`
`boolean` | `isClosable()`
`void` | `setBlock(org.apache.tapestry.components.Block block)`
`void` | `setClosable(boolean isClosable)`
`void` | `setIconClass(java.lang.String iconClass)`
`void` | `setId(java.lang.String id)`
`void` | `setLabel(java.lang.String label)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL_TEMPLATE

    public static java.lang.String LABEL_TEMPLATE

Constructor Detail

### Tab

    public Tab(java.lang.String id,
               java.lang.String label,
               java.lang.String iconClass,
               org.apache.tapestry.components.Block block,
               boolean isClosable)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getIconClass

    public java.lang.String getIconClass()

### setIconClass

    public void setIconClass(java.lang.String iconClass)

### getBlock

    public org.apache.tapestry.components.Block getBlock()

### setBlock

    public void setBlock(org.apache.tapestry.components.Block block)

### isClosable

    public boolean isClosable()

### setClosable

    public void setClosable(boolean isClosable)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.